emacs-24.3.1 crashes on talking to Google

Zdzislaw Meglicki zdzisiekm@sbcglobal.net
Wed Aug 28 12:43:00 GMT 2013


The version of the Cygwin fetchmail is 6.3.22+NLS. Running ldd on it shows:
 
   ntdll.dll, KERNEL32.DLL, KERNELBASE.dll, cygwin1.dll, cygintl-8.dll, 
   cygiconv-2.dll
 
When I run it against my .fetchmailrc, it complains about the "ssl" line and says
that it's not enabled.
 
The version of my own fetchmail, the one I compiled myself, is 6.3.26+SSL+NLS.
Running ldd on it shows all the above plus
 
   cygcrypto-1.0.0.dll, cygssl-1.0.0.dll, cygz.dll
 
But, as I said, I do not have a problem with fetchmail. The problem, as I described
in my message, is with emacs *sending* mail through Google. On making an attempt
it crashes. I can't even view diagnostics. 
 
On the other hand, my emacs can send mail through a simple non-SSL SMTP server
I run on another machine. So, it's something with how the latest emacs communicates
with Google that's broken. Posting through Google worked like a charm under
emacs-21.?.? The current emacs version is 
 
   emacs 24.3.1 (x86_64-unknown-cygwin)
 
I posted my .emacs configuration for sending mail through google in my previous
message, but here it is again for completeness:
 
 (setq starttls-use-gnutls t)
 (setq send-mail-function 'smtpmail-send-it       
       message-send-mail-function 'smtpmail-send-it
       smtpmail-starttls-credentials
       '(("smtp.gmail.com" 587 nil nil))
       smtpmail-auth-credentials
       (expand-file-name "~/.authinfo")
       smtpmail-default-smtp-server "smtp.gmail.com"
       smtpmail-smtp-server "smtp.gmail.com"
       smtpmail-smtp-service 587
       smtpmail-debug-info t)
 (require 'smtpmail)
 
===========================================================

On Wednesday, August 28, 2013 5:23 AM David Carrricajo <> wrote:

On Tue, Aug 27, 2013 at 6:53 PM, Zdzislaw Meglicki <> wrote:


>Should I change something here? My fetchmail gets e-mail from Google 
>too and this works fine. But I had to install my own version of fetchmail 
>because the one provided with Cygwin didn't support SSL.
>

Which version? from version 5 fetchmail does support SSL


>Greetings,
>Gustav
>http://perth.ovpit.indiana.edu/gustav


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list